summaryrefslogtreecommitdiff
path: root/app-admin
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-08-21 17:49:11 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-08-21 17:49:11 +0100
commitff936c218724d0ba7755a24f3a7bd9a99b4d7afb (patch)
tree2677db8b799f5356cc2f55c5dced74c09c2fae75 /app-admin
parentc72e56fbaa7ff365380aa22c8ae049ff1d984424 (diff)
app-admin/keepassxc : import from gentoo tree, fix rdeps (https://bugs.redcorelinux.org/show_bug.cgi?id=38)
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/keepassxc/Manifest2
-rw-r--r--app-admin/keepassxc/keepassxc-2.2.0-r1708.ebuild66
2 files changed, 68 insertions, 0 deletions
diff --git a/app-admin/keepassxc/Manifest b/app-admin/keepassxc/Manifest
new file mode 100644
index 00000000..78263115
--- /dev/null
+++ b/app-admin/keepassxc/Manifest
@@ -0,0 +1,2 @@
+DIST keepassxc-2.1.4.tar.gz 3345520 SHA256 40a990dbcf442eb3cad99452b58ffd36e5855b39e78f213ea20e99fbc7876701 SHA512 48030eb6df595c73644f43d6222654c5f76962ae5aa2f44ca4dc9c8e45726380c6be4300af7a8279b07c06b70912da444f2b17c5b6c37a91cb239d695e7518d8 WHIRLPOOL da2bdac3e334b48903c6b20532ea4a0af0fe057e10e702ba6a4221e828b8f416d666ff67407b434d38b4cbbe5119d3c8a49927e4d5092f4f62ab49e30981017c
+DIST keepassxc-2.2.0.tar.gz 3814252 SHA256 9d9d39b9c056955fe5d7a5212efe1703be02fa4731c36e2b1e06a78174b0a7b8 SHA512 e23968c259afade81c8dcf0786ed68ca77ca8e9726dffb12e1017f2f60afb29b60ec1b71450ce7e284d543bcaa72bbc79bec917dea852d5bb923dff7fc6edcb5 WHIRLPOOL a993068922d8fd0bd1b06d434fff7340160c30992a166f15d9692d83e4a985939b88d20fce2b0425d3bab00de0e2ffce6fd2d34ff0bd92d08d95747ae03c9df9
diff --git a/app-admin/keepassxc/keepassxc-2.2.0-r1708.ebuild b/app-admin/keepassxc/keepassxc-2.2.0-r1708.ebuild
new file mode 100644
index 00000000..a74352a4
--- /dev/null
+++ b/app-admin/keepassxc/keepassxc-2.2.0-r1708.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+SCM=""
+[[ "${PV}" == 9999 ]] && SCM="git-r3"
+inherit cmake-utils ${SCM}
+unset SCM
+
+DESCRIPTION="KeePassXC - KeePass Cross-platform Community Edition"
+HOMEPAGE="https://github.com/keepassxreboot/keepassxc"
+
+if [[ "${PV}" != 9999 ]] ; then
+ SRC_URI="https://github.com/keepassxreboot/keepassxc/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+else
+ EGIT_REPO_URI="https://github.com/keepassxreboot/${PN}"
+fi
+
+LICENSE="LGPL-2.1 GPL-2 GPL-3"
+SLOT="0"
+IUSE="autotype debug http test yubikey"
+
+RDEPEND="
+ dev-libs/libgcrypt:=
+ dev-libs/json-c
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ sys-libs/zlib
+ autotype? (
+ dev-qt/qtx11extras:5
+ x11-libs/libX11
+ x11-libs/libXi
+ x11-libs/libXtst
+ )
+ yubikey? ( sys-auth/ykpers )
+"
+
+DEPEND="
+ ${RDEPEND}
+ dev-qt/linguist-tools:5
+ dev-qt/qtconcurrent:5
+ test? ( dev-qt/qttest:5 )
+"
+
+src_prepare() {
+ use test || \
+ sed -e "/^find_package(Qt5Test/d" -i CMakeLists.txt || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_GUI_TESTS=OFF
+ -DWITH_TESTS="$(usex test)"
+ -DWITH_XC_AUTOTYPE="$(usex autotype)"
+ -DWITH_XC_HTTP="$(usex http)"
+ -DWITH_XC_YUBIKEY="$(usex yubikey)"
+ )
+ cmake-utils_src_configure
+}